<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8"/>
    <meta name="MobileOptimized" content="width"/>
    <meta name="HandheldFriendly" content="true"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link rel="shortcut icon" href="/images/favicon.png" type="image/png"/>
    <title>MÉTÉO à MaisonGaston</title>
</head>
<body>


<div id="block-mfhourrain" class="block block-mf-hour-rain">


    <div id="hour-rain" v-cloak v-if="forecastRain">
        <h2>Pluie dans l'heure</h2>

        <div id="hour-rain-container" v-if="settings">
            <div class="top">
                <div class="hour-rain-title" v-if="rain_hour_level.intensity >= pluie_1">
                    ${settings.rain_subtitle}
                </div>
                <div class="hour-rain-title" v-if="rain_hour_level.intensity < pluie_1">
                    ${settings.no_rain_subtitle}
                </div>
                <div class="right">
                    <button id=="reload_hour_rain" v-on:click="updateValues()">Mettre à jour</button>
                    <p v-if="updated_time">Actualisées à ${updated_time}</p>
                </div>
            </div>
            <div class="hour-rain-details" v-if="forecastRain">

                <div class="time">
                    <p>${getStartHour()}</p>
                    <p>${getEndHour()}</p>
                </div>

                <ul class="rain-data">
                    <li v-bind:class="{'rain-1': item.rain_intensity === pluie_1, 'rain-2': item.rain_intensity === pluie_2,'rain-3': item.rain_intensity === pluie_3,}"
                        v-for="(item, index) in forecastRain.forecast">
                        <img alt="Pluie faible" title="Pluie faible"
                             src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-faible.svg"
                             v-if="item.rain_intensity === pluie_1"/>
                        <img alt="Pluie modérée" title="Pluie modérée"
                             src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-moderee.svg"
                             v-if="item.rain_intensity === pluie_2"/>
                        <img alt="Pluie forte" title="Pluie forte"
                             src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-forte.svg"
                             v-if="item.rain_intensity === pluie_3"/>
                        <img alt="Pas de pluie" title="Pas de pluie"
                             src="/modules/custom/mf_tools_common_theme_public/svg/rain/pas-de-pluie.svg"
                             v-if="item.rain_intensity !== pluie_1 && item.rain_intensity !== pluie_2 && item.rain_intensity !== pluie_3"/>
                        <div class="rain-data-legend" v-if="index == 0">5<br>min</div>
                        <div class="rain-data-legend" v-if="index == 1">10<br>min</div>
                        <div class="rain-data-legend" v-if="index == 3">20<br>min</div>
                        <div class="rain-data-legend" v-if="index == 5">30<br>min</div>
                        <div class="rain-data-legend" v-if="index == 6">40<br>min</div>
                        <div class="rain-data-legend" v-if="index == 7">50<br>min</div>
                    </li>
                </ul>


            </div>
            <div v-if="!forecastRain">
                <p>Une erreur est survenue...</p>
            </div>
            <div class="hour-rain-alert" v-if="rain_hour_level.intensity >= pluie_1"
                 v-bind:class="{'pluie-1': rain_hour_level.intensity === pluie_1,'pluie-2': rain_hour_level.intensity === pluie_2,'pluie-3': rain_hour_level.intensity === pluie_3}">

                <figure>
                    <img alt="Pluie faible" title="Pluie faible"
                         src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-faible.svg"
                         v-if="rain_hour_level.intensity === pluie_1"/>
                    <img alt="Pluie modérée" title="Pluie modérée"
                         src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-moderee.svg"
                         v-if="rain_hour_level.intensity === pluie_2"/>
                    <img alt="Pluie forte" title="Pluie forte"
                         src="/modules/custom/mf_tools_common_theme_public/svg/rain/pluie-forte.svg"
                         v-if="rain_hour_level.intensity === pluie_3"/>
                    <img alt="Pas de pluie" title="Pas de pluie"
                         src="/modules/custom/mf_tools_common_theme_public/svg/rain/pas-de-pluie.svg"
                         v-if="rain_hour_level.intensity !== pluie_1 && rain_hour_level.intensity !== pluie_2 && rain_hour_level.intensity !== pluie_3"/>
                </figure>

                <p v-if="rain_hour_level.intensity >= pluie_1">${rain_hour_level.description}
                    <span v-if="rain_hour_level.minutes > 0">dans ${rain_hour_level.minutes}
                    minutes</span>
                </p>

            </div>


        </div>

    </div>
</body>
</html>
